ClusterManagementResult (Apache Geode 1.15.4)

org.apache.geode.management.api

## Class ClusterManagementResult

- java.lang.Object
- - org.apache.geode.management.api.ClusterManagementResult

- Direct Known Subclasses:
    ClusterManagementGetResult, ClusterManagementListOperationsResult, ClusterManagementListResult, ClusterManagementOperationResult, ClusterManagementRealizationResult

      @Experimental
      public class ClusterManagementResult
      extends Object

  This base class provides the common attributes returned from all `ClusterManagementService` methods

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClusterManagementResult.StatusCode` these status codes generally have a one-to-one mapping to the http status code returned by the REST controller

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementResult()` for internal use only
    `ClusterManagementResult(ClusterManagementResult.StatusCode statusCode, String message)` for internal use only
    `ClusterManagementResult(ClusterManagementResult copyFrom)` for internal use only

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ClusterManagementResult.StatusCode` | `getStatusCode()` Returns the `ClusterManagementResult.StatusCode` for this request, such as ERROR or OK.
    `String` | `getStatusMessage()` Returns an optional message to accompany `getStatusCode()`
    `int` | `hashCode()`
    `boolean` | `isSuccessful()` Returns true if `getStatusCode()` has a non-error value
    `void` | `setLinks(Links links)` for internal use only
    `void` | `setStatus(ClusterManagementResult.StatusCode statusCode, String message)` for internal use only
    `String` | `toString()` Returns the status code and message

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementResult

          public ClusterManagementResult()

      for internal use only

    - #### ClusterManagementResult

          public ClusterManagementResult(ClusterManagementResult.StatusCode statusCode,
                                         String message)

      for internal use only
      Parameters:
        `statusCode` - the `ClusterManagementResult.StatusCode` to set
        `message` - the status message to set

    - #### ClusterManagementResult

          public ClusterManagementResult(ClusterManagementResult copyFrom)

      for internal use only
      Parameters:
        `copyFrom` - the `ClusterManagementResult` to copy from

  - ### Method Detail

    - #### setStatus

          public void setStatus(ClusterManagementResult.StatusCode statusCode,
                                String message)

      for internal use only
      Parameters:
        `statusCode` - the `ClusterManagementResult.StatusCode` to set
        `message` - the status message to set

    - #### getStatusMessage

          public String getStatusMessage()

      Returns an optional message to accompany `getStatusCode()`
      Returns:
        an optional message to accompany `getStatusCode()`

    - #### setLinks

          public void setLinks(Links links)

      for internal use only
      Parameters:
        `links` - the `Links` to set

    - #### isSuccessful

          public boolean isSuccessful()

      Returns true if `getStatusCode()` has a non-error value
      Returns:
        true if `getStatusCode()` has a non-error value

    - #### getStatusCode

          public ClusterManagementResult.StatusCode getStatusCode()

      Returns the `ClusterManagementResult.StatusCode` for this request, such as ERROR or OK.
      Returns:
        the `ClusterManagementResult.StatusCode` for this request

    - #### toString

          public String toString()

      Returns the status code and message
      Overrides:
        `toString` in class `Object`
      Returns:
        the status code and message as a String

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`